Bug 134614 - FILESAVE: RTF: Indent in TOC is lost after RT in MSO 2010
Summary: FILESAVE: RTF: Indent in TOC is lost after RT in MSO 2010
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.3 release
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: RTF-TableofContents
  Show dependency treegraph
 
Reported: 2020-07-07 12:07 UTC by Xisco Faulí
Modified: 2022-10-20 03:43 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Comparison before and after RT in MSO (63.06 KB, image/png)
2020-07-07 12:07 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-07-07 12:07:24 UTC
Created attachment 162754 [details]
Comparison before and after RT in MSO

Steps to reproduce:
1. Open attachment from bug 
2. Save it to RTF
3. Open the generated file in MSO 2010

-> second line in TOC has no indent. See comparison image

Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: 9af38b4504ccda57a0c32eb8bdd03e5a8ca29ddc
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2020-07-07 12:08:48 UTC
Steps to reproduce:
1. Open attachment 70632 [details] from bug 57589
2. Save it to RTF
3. Open the generated file in MSO 2010
Comment 2 Xisco Faulí 2020-07-07 12:09:56 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=5cdb14345842c07eb1a466897753da910e9488f8

author	Mike Kaganski <mike.kaganski@collabora.com>	2019-12-13 09:36:39 +0300
committer	Mike Kaganski <mike.kaganski@collabora.com>	2019-12-16 17:23:57 +0100
commit 5cdb14345842c07eb1a466897753da910e9488f8 (patch)
tree 8060407f05d37aa856096c94ca808330c173135e
parent d396819ce8c8561afcf69c7e0dbfb6108439b4c3 (diff)
tdf#129353, tdf#129402: fix node creation on index import

Bisected with: bibisect-linux64-7.0

Adding Cc: to Mike Kaganski
Comment 3 Xisco Faulí 2020-07-07 13:35:22 UTC
attachment 92638 [details] from bug 72563 is also affected by this issue
Comment 4 QA Administrators 2022-10-20 03:43:49 UTC
Dear Xisco Faulí,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug